#!/bin/sh
#
# hdw - linux /etc/setup.d/cvsd.sh
#

setup_block()	{
	groupadd -g 1050 cvsd || true
	useradd -c 'cvsd pserver' -g cvsd -s /bin/false -u 1050 cvsd || true
	echo "added cvsd user and group"
	[ -d /etc/cvsd ] && chown -R cvsd.cvsd /etc/cvsd
		}

uninstall_block()	{
	groupdel cvsd || true
	userdel cvsd || true
	echo "removed cvsd user and group"
			}
usage()	{
	echo "usage: $0 [setup|uninstall]"
	exit 1
	}

[ -z "$1" ] && usage

while [ "$1" ] ; do
	case "$1" in
		setup)		setup_block ; shift ;;
		uninstall)	uninstall_block ; shift ;;
		*)		usage ; exit 1 ;;
	esac
done
